Bug 12491 - Показывается дата сборки пропагатора
: Показывается дата сборки пропагатора
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/propagator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-07 11:42 by
Modified: 2007-11-10 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-07 11:42:25
В верхней строке показывается дата сборки пропагатора, хотя дата сборки образа,
который загружается вполен доступна и более информативна.
------- Comment #1 From 2007-08-07 22:31:32 -------
Да, это так.
------- Comment #2 From 2007-08-08 17:11:35 -------
собственно, хорошо бы пояснить, что именно предлагается поменять.
мне приходят в голову следующие варианты:
- убрать из обсуждаемой строчки `built __DATE__ __TIME__' --
  но мне нравится, что такое там есть, поскольку rpm -q в initramfs
  сказать не получится, а информация о собственно сборке propagator
  небесполезна.
- добавить дату сборки образа -- но ничто не мешает поместить
  желаемое в .VERSION (одной строкой), в процессе формирования образа.
Я что-то упустил ?
------- Comment #3 From 2007-08-08 17:19:59 -------
Две даты в одной строке (на самом видном месте) будут совсем сбивать с толку.

Мне кажется, что лучше всего убрать эту дату оттуда и вывести, допустим на ту
консоль, где запускается shell

Тогда можно будет сделать формаирование даты в .VERSION
------- Comment #4 From 2007-08-08 19:11:30 -------
мне кажется, что те, кто туда смотрит, в состоянии понять разницу.
------- Comment #5 From 2007-08-08 19:41:45 -------
туда это в код пропагатора? ;))
------- Comment #6 From 2007-08-08 19:42:45 -------
нет, те, кто решил, что им неинтересно смотреть на бутсплешь какую-нибудь
------- Comment #7 From 2007-08-08 19:50:54 -------
В сервере нет bootsplash'а, и эта дата сбивает столку.
------- Comment #8 From 2007-08-08 20:00:12 -------
двое на одного. хорошо, сделаю.
------- Comment #9 From 2007-08-08 20:22:38 -------
fixed in 20070301-alt7